<div class="container ml-5" id="black-list-section">
    <div class="card">
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <div class="table-wrapper">
                        <div class="table-title">
                            <div class="row">
                                <div class="col-sm-8">
                                    <h2>Listas <b>negras</b></h2>
                                </div>
                                
                            </div>
                        </div>
                        <mat-tab-group>
                            
                            <mat-tab label="Nuevo">
                                <div class="row rowButtonAdd">
                                    <div class="col-sm-4">
                                        <button id="btn-add" type="button" class="btn btn-info add-new">
                                            <i class="fa fa-plus"></i>Agregar nuevo tipo de lista negra
                                        </button>
                                    </div>
                                </div>
                                
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Tipo</th>
                                            <th>Valor</th>
                                            <th>Motivo</th>
                                            <th>Descripción</th>
                                            <th>Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <!--
                                <tr>
                                    <td>
                                        <select name="typeBlackList" class="form-control form-control-lg custom-select">
                                            <option selected>Selecciona el tipo de lista negra</option>
                                            <option value="FINGER_PRINT">FINGER PRINT</option>
                                            <option value="RFC">RFC</option>
                                            <option value="CLABE">CLABE</option>
                                            <option value="EMAIL">EMAIL</option>
                                          </select>
                                    </td>
                                    <td>
                                        <input type="text" class="form-control">
                                    </td>
                                    <td>
                                        <a class="add" title="Agregar" data-toggle="tooltip"><i class="material-icons">&#xE03B;</i></a>
                                        <a class="delete" title="Eliminar" data-toggle="tooltip"><i class="material-icons">&#xE872;</i></a>
                            
                                    </td>
                                </tr>
                            -->
                                    </tbody>
                                </table>
                                <div class="row" *ngIf="showError" style="margin-left: 2%;">
                                    <span style="color:red">{{error}}</span>
                                </div>
                                <div class="row">
                                    <div class="col-sm-8"></div>
                                    <div class="col-sm-4">
                                        <button id="btn-save" type="button" class="btn btn-info"
                                            (click)="saveBlackList()">
                                            Guardar
                                        </button>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="Borrar">
                                <app-black-list-remove></app-black-list-remove>
                            </mat-tab>
                            <mat-tab label="Reporte">
                                <app-black-list-report></app-black-list-report>
                            </mat-tab>
                        </mat-tab-group>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>